@import url("https://fonts.googleapis.com/css2?family=Merriweather:wght@700&family=Inter:wght@400;500&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Inter", sans-serif;
  font-weight: 400;
  background-color: #d0cbf3;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  text-align: center;
}

.modal {
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal-content {
  background-color: #1a1832;
  color: #fff;
  border-radius: 20px;
  padding: 50px;
  max-width: 920px;
  width: 100%;
}

.close-btn {
  cursor: pointer;
  float: right;
  color: #dadada;
  font-size: 34px;
  margin: -20px;
  transition: color 0.3s ease;
}

.close-btn:hover {
  color: #e74c3c;
}

.modal-content h2 {
  margin: 50px auto;
  max-width: 630px;
  width: 100%;
  font-family: "Merriweather", serif;
  font-weight: 700;
}

.rating-container {
  display: flex;
  justify-content: space-between;
  margin: -20px 0;
}

.rating-btn {
  background-color: #1a2036;
  color: #b1b9d8;
  border: 1px solid #2e3650;
  padding: 15px 20px;
  cursor: pointer;
  font-size: 18px;
  border-radius: 5px;
  font-family: "Inter", sans-serif;
  font-weight: 400;
  transition: transform 0.3s, box-shadow 0.3s, background-color 0.3s, color 0.3s;
}

.rating-btn:hover {
  background-color: #2d4059;
  color: #ffffff;
  transform: scale(1.05);
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.2);
}

.rating-btn.selected {
  background-color: #e74c3c;
  color: white;
}

.rating-feedback {
  display: flex;
  justify-content: space-between;
  color: #e7e7e7;
  font-size: 14px;
  margin: 30px 0;
}

.feedback-btn {
  display: flex;
  justify-content: space-between;
  margin: 50px 0 -20px 0;
}

.submit-btn,
.cancel-btn {
  font-family: "Inter", sans-serif;
  font-weight: 500;
  color: #fff;
  padding: 10px 30px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 5px;
  transition: background-color 0.3s;
}

.cancel-btn {
  background: none;
  border: 1px solid #7a58f4;
}

.cancel-btn:hover {
  background-color: #7a58f4;
}

.submit-btn {
  background: #7a58f4;
  border: none;
}

.submit-btn:hover {
  background-color: #9b72f2;
}

.feedback-message {
  color: #e7e7e7;
  font-size: 14px;
  margin-top: 50px;
  text-align: center;
}

.thanks-message {
  color: #fff;
  font-size: 18px;
  font-weight: 500;
  text-align: center;
  margin: 30px 0;
}

@media (max-width: 770px) {
  body {
    height: auto;
  }

  .modal-content {
    margin: 20px 0;
    width: 90%;
    padding: 30px;
  }

  .rating-container {
    gap: 10px;
    flex-wrap: wrap;
    justify-content: center;
  }

  .rating-btn {
    margin: 5px;
    padding: 12px 15px;
    font-size: 16px;
  }

  .rating-feedback {
    font-size: 12px;
  }

  .submit-btn,
  .cancel-btn {
    padding: 8px 20px;
    font-size: 14px;
  }

  .feedback-btn {
    flex-direction: column-reverse;
    gap: 20px;
    margin-bottom: 5px;
  }
}